package com.ruoyi.materialClass.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.materialClass.domain.MaterialClassMaster;
import java.util.List;

/**
 * 物资分类一级分类Mapper接口
 *
 * @author ruoyi
 * @date 2024-01-05
 */
public interface MaterialClassMasterMapper extends BaseMapper<MaterialClassMaster> {
	/**
	 * 查询物资分类一级分类
	 *
	 * @param classMastId 物资分类一级分类主键
	 * @return 物资分类一级分类
	 */
	public MaterialClassMaster selectMaterialClassMastByClassMastId(String classMastId);

	/**
	 * 查询物资分类一级分类列表
	 *
	 * @param materialClassMast 物资分类一级分类
	 * @return 物资分类一级分类集合
	 */
	public List<MaterialClassMaster> selectMaterialClassMastList(MaterialClassMaster materialClassMast);

    /**
     * 删除物资分类一级分类信息
     *
     * @param classMastId 物资分类一级分类主键
     * @return 结果
     *//*
    int deleteMaterialClassSubByClassMastId(@Param("classMastId")String classMastId);

    *//**
     * 批量新增物资分类-二级分类
     *
     * @param materialClassSubList 物资分类-二级分类列表
     * @return 结果
     *//*
    int batchInsertMaterialClassSub(List<MaterialClassSub> materialClassSubList);*/
}
